# $Revision: 1.49 $, $Date: 2010/09/10 19:12:08 $
Summary:	A fast compress utility
Summary(de.UTF-8):	ein schnelles Komprimierungs-Dienstprogramm
Summary(fr.UTF-8):	Utilitaire rapide de compression
Summary(pl.UTF-8):	Narzędzie do szybkiego kompresowania plików
Summary(tr.UTF-8):	Hızlı bir sıkıştırma aracı
Name:		ncompress
Version:	4.2.4.4
Release:	1
License:	distributable
Group:		Applications/Archiving
Source0:	http://downloads.sourceforge.net/ncompress/%{name}-%{version}.tar.gz
# Source0-md5:	4be215caacf3d082bfe24cfdbaba538e
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	1f664b832aee8282bc50f54635b98130
Patch0:		%{name}-make.patch
Patch1:		%{name}-gcc34.patch
URL:		http://ncompress.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncompress is a utility that will do fast compression and decompression
compatible with the original *nix compress utility (.Z extensions). It
will not handle gzipped (.gz) images (although gzip can handle
compress images). It is pretty much obsolete - unless you need to
exchange files with some really odd Unix variants, use gzip or bzip2
instead.

%description -l de.UTF-8
ncompress ist ein Utility zur Durchführung schneller Komprimierungen
und Dekomprimierungen, das zu dem Original *nix-Komprimierungs-Utility
(.Z- Erweiterungen) kompatibel ist. gzip-Grafikdateien (.gz) können
damit nicht verarbeitet werden (obwohl gzip mit compress-Dateien
arbeiten kann).

%description -l fr.UTF-8
ncompress est un utilitaire qui effectue une compression et une
décompression rapide avec l'utilitaire de compression *nix original
(extension .Z). Il ne gère pas les images gzippées (.gz) (bien que
gzip puisse gérer les images compress).

%description -l pl.UTF-8
ncompress jest narzędziem umożliwiającym szybką kompresję i
dekompresję plików zgodnym z oryginalnym *niksowym narzędziem o nazwie
compress (tworzy pliki z rozszerzeniem .Z). ncompress nie obsługuje
plików .gz (ale gzip potrafi obsługiwać pliki ncompress-a). ncompress
jest raczej przestarzałym programem - o ile nie potrzebujesz
wymieniać plików z naprawdę starymi *niksami, używaj programów gzip
lub bzip2.

%description -l tr.UTF-8
ncompress, orijinal Un*X compress uygulaması ile uyumlu (.Z uzantılı)
hızlı sıkıştırma ve açma işlemleri yapılmasını sağlar. ncompress gzip
ile sıkıştırılmış dosyalarla işlem yapamaz. (gzip compress ile
sıkıştırılmış dosyalar üzerinde çalışabilir)

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1

%build
ENDIAN="4321"
%ifarch sparc sparc64 m68k armv4l ppc ppc64 s390
ENDIAN="1234"
%endif

OPTCFLAGS=""
%ifarch alpha ia64 %{x8664} ppc64
OPTCFLAGS="-DNOALLIGN=0"
%endif

%{__make} -f Makefile \
	CC="%{__cc} %{rpmcflags} $OPTCFLAGS" \
	ENDIAN="$ENDIAN"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install compress $RPM_BUILD_ROOT%{_bindir}
ln -sf compress $RPM_BUILD_ROOT%{_bindir}/uncompress

install compress.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo ".so compress.1" > $RPM_BUILD_ROOT%{_mandir}/man1/uncompress.1

for a in de it pl ; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$a/man1
	install $a/man1/* $RPM_BUILD_ROOT%{_mandir}/$a/man1
	echo ".so compress.1" > $RPM_BUILD_ROOT%{_mandir}/$a/man1/uncompress.1
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Acknowleds Changes LZW.INFO README
%attr(755,root,root) %{_bindir}/compress
%attr(755,root,root) %{_bindir}/uncompress
%{_mandir}/man1/compress.1*
%{_mandir}/man1/uncompress.1*
%lang(de) %{_mandir}/de/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ncompress.spec,v $
Revision 1.49  2010/09/10 19:12:08  qboosh
- updated to 4.2.4.4

Revision 1.48  2010/08/15 08:25:18  qboosh
- more docs, verbose files
- added CVE notes to previous changelog entry

Revision 1.47  2010/08/15 00:36:15  zbyniu
- up to 4.2.4.3; project now is on sf.net
[fixes: CVE-2006-1168 CVE-2010-0001]

Revision 1.46  2008/02/07 09:49:44  ankry
- unix -> Unix

Revision 1.45  2007-09-05 14:52:24  baggins
- rel 27

Revision 1.44  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:12  baggins
- converted to UTF-8

Revision 1.42  2006/02/25 17:30:20  sparky
- %build rewritten, pass %{__cc}

Revision 1.41  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.40  2005/02/10 14:53:55  areq
- add gcc34.patch

Revision 1.39  2004/11/12 15:08:25  darekr
- typo

Revision 1.38  2004/01/02 17:45:35  jajcus
- Release: 26 (STBR after AMD64 fixes)

Revision 1.37  2003/12/22 19:19:47  jajcus
- AMD64 support

Revision 1.36  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.35  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.34  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.33  2003/05/25 05:51:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/11/27 22:06:24  juandon
- new %%doc

Revision 1.31  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/01/18 02:14:00  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.29  2001/11/12 07:08:52  ankry
- removed bogus da man pages
- release 25

Revision 1.28  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.27  2001/10/21 19:49:09  qboosh
- fixed build, fixed/enhanced pl translation

Revision 1.26  2001/10/20 19:37:34  ankry
- add da, de, it man pages
- release 24

Revision 1.25  2001/08/23 16:51:44  filon
- changed: make -> %%{__make}

Revision 1.24  2001/05/02 22:06:14  kloczek
- release 23.

Revision 1.23  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.22  2001/01/25 20:03:34  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.21  2000/12/31 00:08:15  kloczek
- release 22: fix for big endian armv4l ppc s390 archs.

Revision 1.20  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/10/12 00:27:44  kloczek
- release 21: use rpm new automation.

Revision 1.18  2000/07/25 18:37:04  kloczek
- release 19,
- added %ifarch for sparc64 and ia64.

Revision 1.17  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.15  2000/04/15 17:55:37  mis
- typo

Revision 1.14  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.12  1999/09/01 06:02:38  kloczek
- cosmetic modyfications in %description's.

Revision 1.11  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun  4 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [4.2.4-15]
- based on RH spec,
- spec rewrited by PLD team.
